summaryrefslogtreecommitdiff
path: root/whitespace.sh
diff options
context:
space:
mode:
Diffstat (limited to 'whitespace.sh')
-rwxr-xr-xwhitespace.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/whitespace.sh b/whitespace.sh
new file mode 100755
index 000000000..7075fbd4e
--- /dev/null
+++ b/whitespace.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if grep -Enr "\s+\$" src; then
+ # Trailing whitespace detected
+ exit 1
+fi